%define _unpackaged_files_terminate_build 1

Name: alterator-interface-component
Version: 0.1.9
Release: alt1

Summary: Components interface for alterator browser
License: GPLv2+
Group: System/Configuration/Other
URL: https://gitlab.basealt.space/alt/alterator-interface-component

BuildArch: noarch

Source0: %name-%version.tar

%description
Components interface for alterator browser.

%package -n alterator-backend-component
Summary: Backends generations for components backends
Group: System/Configuration/Other

BuildRequires: python3-devel

Requires: %name = %EVR
Requires: alterator-module-executor >= 0.1.19
Requires: alterator-entry >= 0.2.0
Requires: alterator-backend-systeminfo >= 0.3

%description -n alterator-backend-component
%summary.

%prep
%setup

%install
mkdir -p %buildroot%_datadir/dbus-1/interfaces
mkdir -p %buildroot%_datadir/polkit-1/actions
mkdir -p %buildroot%_libexecdir/%name

install -v -p -m 644 -D org.altlinux.alterator.component1.xml %buildroot%_datadir/dbus-1/interfaces
install -v -p -m 644 -D org.altlinux.alterator.component1.policy %buildroot%_datadir/polkit-1/actions

mkdir -p %buildroot%_libexecdir/alterator-backend-component
install -v -p -m 755 -D basic_check_component_installed %buildroot%_libexecdir/alterator-backend-component/
install -v -p -m 755 -D basic_get_component_description %buildroot%_libexecdir/alterator-backend-component/
install -v -p -m 755 -D extract_packages.py %buildroot%_libexecdir/alterator-backend-component/

install -v -p -m 755 -D alterator-backend-component.filetrigger %buildroot%_rpmlibdir/10-alterator-backend-component.filetrigger
install -v -p -m 755 -D generate-components-backends %buildroot%_libexecdir/alterator-backend-component/

%files
%dir %_datadir/dbus-1/interfaces
%dir %_datadir/polkit-1/actions
%_datadir/polkit-1/actions/org.altlinux.alterator.component1.policy
%_datadir/dbus-1/interfaces/org.altlinux.alterator.component1.xml

%files -n alterator-backend-component
%_libexecdir/alterator-backend-component
%_rpmlibdir/10-alterator-backend-component.filetrigger

%post -n alterator-backend-component
%_libexecdir/alterator-backend-component/generate-components-backends

%preun -n alterator-backend-component
if [ $1 = 0 ]; then
    find %_sysconfdir/alterator/backends -name "autogenerated-component-*.backend" -type f -delete
fi

%changelog
* Mon Mar 31 2025 Michael Chernigin <chernigin@altlinux.org> 0.1.9-alt1
- Filter using DEs, language and kflavour from system.

* Sat Mar 29 2025 Evgeny Sinelnikov <sin@altlinux.org> 0.1.8-alt4
- Avoid to try-restart alterator-manager.service due new release supported
  dynamic restart based on inotify.

* Mon Feb 24 2025 Michael Chernigin <chernigin@altlinux.org> 0.1.8-alt3
- Add LC_ALL as env variable for alterator-manager to fix Description
  translations.

* Tue Feb 18 2025 Michael Chernigin <chernigin@altlinux.org> 0.1.8-alt2
- Remove extra output in basic_check_component_installed

* Tue Feb 04 2025 Michael Chernigin <chernigin@altlinux.org> 0.1.8-alt1
- basic_check_component_installed now works even without
  edition present
- Update path to current_edition_helper.py script

* Fri Jan 31 2025 Michael Chernigin <chernigin@altlinux.org> 0.1.7-alt1
- Rewrite scripts in python.
- Take into account current edition.
- Add filetrigger to generate backends.

* Tue Dec 24 2024 Michael Chernigin <chernigin@altlinux.org> 0.1.6-alt1
- Return installed packages in status method.

* Thu Dec 19 2024 Michael Chernigin <chernigin@altlinux.org> 0.1.5-alt1
- Add support for python3.9.

* Mon Dec 09 2024 Michael Chernigin <chernigin@altlinux.org> 0.1.4-alt1
- Switch to Alterator Entry in toml.
- Change getDescription to return array of bytes instead of strings.

* Tue Oct 22 2024 Michael Chernigin <chernigin@altlinux.org> 0.1.3-alt1
- Change prefix from ru.basealt to org.altlinux.

* Mon Sep 23 2024 Michael Chernigin <chernigin@altlinux.org> 0.1.2-alt1
- Fix install status of virtual packages.

* Thu Jun 27 2024 Michael Chernigin <chernigin@altlinux.org> 0.1.1-alt1
- Improve performance of basic check for component installed.

* Thu Jun 27 2024 Michael Chernigin <chernigin@altlinux.org> 0.1.0-alt1
- Initial build.
